var http = require('http');

var options = {
  host: 'www.agiledeveloper.com',
  port: 80,
  path: '/'
}

var processError = function(err) {
  console.log('ERROR: ' + err);
}

var content = '';

var processChunck = function(chunk) {
  content += chunk;
}

var displayResult = function() {
  console.log(content);
}

var handleResponse = function(response) {
  response.on('data', processChunck);
  response.on('end', displayResult);
}

var request = http.request(options, handleResponse);
request.on('error', processError);

request.end();